''***************************************
''*  DS2760 test proggy                 *
''*  Author: Paul Dunn                  *
''*  Copyright (c).  *
''*  See end of file for terms of use.  *
''***************************************
'' NOTE: this is set for running on a demo board, ymmv
'' ds2760 kit from parallax on pin 4 with K-type wire
CON

  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000
    

OBJ

  text : "vga_text"
   dsow   : "ds2760"      'instantiate the object as dsow
   
var

  byte status
  word temp
  word CJtemp
  word volt
PUB start | i

  'start term
  text.start(16)                'VGA output
  dsow.start(4)                 ' DS2760 on P4
  status := dsow.reset          'reset and capture status
  CJTemp := dsow.GetCJTemp      'get CJ temp
  temp := dsow.GetTemp          ' get TC temp
  volt := dsow.getVIN           'get Vin as reported by the DS2760 (in mV)
  repeat
  
    text.str(string(13,"status "))            'display the values
    text.dec(status)

    text.str(string(13,"TC temp "))
    text.dec(temp)

    text.str(string(13,"CJ temp "))
    text.dec(cjtemp)
    
    text.str(string(13,"Vin "))
    text.dec(volt)
    
    waitcnt(clkfreq + cnt)                  'pause a sec
    text.out($00)                           'clear the scr
    status := dsow.reset                    're-read the values
    temp := dsow.GetTemp
    CJTemp := dsow.GetCJTemp
    volt := dsow.getVIN 